/// <reference types="jest-enzyme" />
/// <reference path="../../../utilities/jest/extensions.ts" />

import * as T from './index'

const Tesseract = T as Record<string, unknown>

describe.each`
  name              | componentId
  ${'button'}       | ${'Button'}
  ${'checkbox'}     | ${'Checkbox'}
  ${'icon'}         | ${'Icon'}
  ${'radio button'} | ${'RadioButton'}
  ${'select'}       | ${'Select'}
  ${'slider'}       | ${'Slider'}
  ${'text input'}   | ${'TextInput'}
`('on $name component', ({ componentId, }) => {
  const theComponentId = componentId as string
  it('should exist', () => {
    expect(Tesseract[theComponentId]).toBeDefined()
  })

  it('should be a component', () => {
    expect(Tesseract[theComponentId]).toBeComponent()
  })
})
